<div class="hrms-wrapper">
    <section class="title">
        <a routerLink="/superAdmin">
            Super Admin</a>
                <h4>HRMS</h4>
    </section>

    <div class="row video-section">
        <div class="col-12">
            <div class="embed-responsive embed-responsive-21by9">
                <video *ngFor="let data of hrPortalData" class="col-lg-12" playsinline="playsinline" controls>
                    <source src="{{hostName + data.media.url}}" type="video/mp4">
                </video>
            </div>
        </div>
    </div>

    <div class="row">
        <div class="col-lg-6 col-md-12 reg-form-wrapper">
            <mat-accordion>
                <mat-expansion-panel>
                    <mat-expansion-panel-header>
                        <mat-panel-title>
                            Create an employee
                        </mat-panel-title>
                        <mat-panel-description>
                            <span>Click to view details</span>
                        </mat-panel-description>
                    </mat-expansion-panel-header>
                    <form [formGroup]="createUserForm" #f="ngForm" (ngSubmit)="createAdmin(createUserForm.value)"
                        autocomplete="off">

                        <p>
                            <mat-form-field appearance="standard">
                                <mat-label>Email</mat-label>
                                <input matInput placeholder="Email" formControlName="emailId" required>
                                <mat-error *ngFor="let validation of validationMessages.email">
                                    <mat-error class="error-message" *ngIf="
                                createUserForm.get('emailId').hasError(validation.type) &&
                                    (createUserForm.get('emailId').dirty ||
                                    createUserForm.get('emailId').touched)
                                  ">{{ validation.message }}</mat-error>
                                </mat-error>
                            </mat-form-field>
                        </p>
                        <p>
                            <mat-form-field appearance="standard">
                                <mat-label>First Name</mat-label>
                                <input matInput placeholder="First Name" formControlName="firstName" required>
                                <mat-error *ngFor="let validation of validationMessages.firstName">
                                    <mat-error class="error-message" *ngIf="
                                createUserForm.get('firstName').hasError(validation.type) &&
                                    (createUserForm.get('firstName').dirty ||
                                    createUserForm.get('firstName').touched)
                                  ">{{ validation.message }}</mat-error>
                                </mat-error>
                            </mat-form-field>
                        </p>
                        <p>
                            <mat-form-field appearance="standard">
                                <mat-label>Last Name</mat-label>
                                <input matInput placeholder="Last Name" formControlName="lastName" required>
                                <mat-error *ngFor="let validation of validationMessages.lastName">
                                    <mat-error class="error-message" *ngIf="
                                createUserForm.get('lastName').hasError(validation.type) &&
                                    (createUserForm.get('lastName').dirty ||
                                    createUserForm.get('lastName').touched)
                                  ">{{ validation.message }}</mat-error>
                                </mat-error>
                            </mat-form-field>
                        </p>
                        <p>
                            <mat-form-field appearance="standard">
                                <mat-label>Employee ID</mat-label>
                                <input matInput placeholder="Employee ID" formControlName="employeeId" required>
                                <mat-error *ngFor="let validation of validationMessages.employeeId">
                                    <mat-error class="error-message" *ngIf="
                                createUserForm.get('employeeId').hasError(validation.type) &&
                                    (createUserForm.get('employeeId').dirty ||
                                    createUserForm.get('employeeId').touched)
                                  ">{{ validation.message }}</mat-error>
                                </mat-error>
                            </mat-form-field>
                        </p>
                        <p class="tool-tip">
                            <mat-form-field appearance="standard">
                                <mat-label>ID</mat-label>
                                <input matInput placeholder="ID" formControlName="iqamaId" required>
                                <mat-error *ngFor="let validation of validationMessages.iqamaId">
                                    <mat-error class="error-message" *ngIf="
                                createUserForm.get('iqamaId').hasError(validation.type) &&
                                    (createUserForm.get('iqamaId').dirty ||
                                    createUserForm.get('iqamaId').touched)
                                  ">{{ validation.message }}</mat-error>
                                </mat-error>
                            </mat-form-field>
                            <i matTooltip="Social ID/National ID/Iqama ID" class="fa fa-question-circle"></i>
                        </p>
                        <p>
                            <mat-form-field appearance="standard">
                                <mat-label>Customer Role</mat-label>
                                <mat-select disableRipple formControlName="customerRole" required>
                                    <mat-option *ngFor="let customerRole of customerRoles" [value]="customerRole">
                                        {{customerRole}}</mat-option>
                                </mat-select>
                            </mat-form-field>
                        </p>
                        <p>
                            <button mat-raised-button [disabled]="!createUserForm.valid" class="reg-btn">Create
                                Employee</button>
                        </p>
                    </form>
                </mat-expansion-panel>
            </mat-accordion>

        </div>
        <div class="col-lg-6 col-md-12 reg-form-wrapper">
            <mat-accordion>
                <mat-expansion-panel [expanded]="true">
                    <mat-expansion-panel-header>
                        <mat-panel-title>
                            Super Admin Details
                        </mat-panel-title>
                        <mat-panel-description>
                            <span>Click to view details</span>
                        </mat-panel-description>
                    </mat-expansion-panel-header>
                    <form [formGroup]="superAdminForm" #adminForm="ngForm" (ngSubmit)="onSubmitSuperAdmin()"
                        autocomplete="off">

                        <p>
                            <mat-form-field appearance="standard">
                                <mat-label>Email Address</mat-label>
                                <input matInput placeholder="Email" formControlName="emailAddress" required>
                            </mat-form-field>
                        </p>
                        <p>
                            <mat-form-field appearance="standard">
                                <mat-label>Employee Number</mat-label>
                                <input matInput placeholder="Employee Number" formControlName="employeeNumber" required>
                                <mat-error *ngFor="let validation of validationMessages.employeeNumber">
                                    <mat-error class="error-message" *ngIf="
                                    superAdminForm.get('employeeNumber').hasError(validation.type) &&
                                    (superAdminForm.get('employeeNumber').dirty ||
                                    superAdminForm.get('employeeNumber').touched)
                                  ">{{ validation.message }}</mat-error>
                                </mat-error>
                            </mat-form-field>
                        </p>
                        <p>
                            <mat-form-field appearance="standard">
                                <mat-label>Iqama No</mat-label>
                                <input matInput placeholder="iqamaNo" formControlName="iqamaNo" required>
                                <mat-error *ngFor="let validation of validationMessages.iqamaId">
                                    <mat-error class="error-message" *ngIf="
                                    superAdminForm.get('iqamaNo').hasError(validation.type) &&
                                    (superAdminForm.get('iqamaNo').dirty ||
                                    superAdminForm.get('iqamaNo').touched)
                                  ">{{ validation.message }}</mat-error>
                                </mat-error>
                            </mat-form-field>
                        </p>
                        <p>
                            <button mat-raised-button [disabled]="!superAdminForm.valid" class="reg-btn">Submit</button>
                        </p>
                    </form>
                </mat-expansion-panel>
            </mat-accordion>

        </div>
        <div class="col-lg-6 col-md-12 customer-table-wrapper">
            <mat-accordion>
                <mat-expansion-panel [expanded]="true" class="disable_ripple">
                    <mat-expansion-panel-header>
                        <mat-panel-title>
                            Employee Details
                        </mat-panel-title>
                        <mat-panel-description>
                            Click to view details
                        </mat-panel-description>
                    </mat-expansion-panel-header>
                    <table matSort>
                        <tr>
                            <th mat-sort-header="name">User Id</th>
                            <th mat-sort-header="role">Role</th>
                            <th mat-sort-header="calories">Status</th>
                            <th mat-sort-header="fat">Action</th>
                        </tr>

                        <tr *ngFor="let user of subCustomersData">
                            <td>{{user.emailId}}</td>
                            <td>{{user?.customerRole?.customerRoleList.join(', ')}}</td>
                            <td *ngIf="user.active">Active</td>
                            <td *ngIf="!user.active">Inactive</td>
                            <td *ngIf="user.active"> NIL</td>
                            <td *ngIf="!user.active">
                                <button mat-raised-button color="primary" class="reg-btn"
                                    (click)="retrigger(user.emailId)"> Resend Email</button>
                            </td>
                        </tr>
                    </table>
                </mat-expansion-panel>
            </mat-accordion>
        </div>
    </div>
    <section class="row approval-matrix">
        <div class="col-12 auth-mat-wrapper">
            <mat-accordion>
                <mat-expansion-panel [expanded]="true" class="disable_ripple">
                    <mat-expansion-panel-header>
                        <mat-panel-title>
                            Workflow configuration
                        </mat-panel-title>
                        <mat-panel-description>
                            Click to view details
                        </mat-panel-description>
                    </mat-expansion-panel-header>
                    <table matSort class="matrix-table">
                        <tr *ngFor="let process of processNames; let i = index">
                            <td>
                                <strong class="matrix-header">
                                    <i *ngIf='!toggle[i]' class="material-icons"
                                        (click)='getProcessDetails(process , i)'> add</i>
                                    <i *ngIf='toggle[i]' class="material-icons" (click)="toggleIcon(i, 'close')">
                                        remove</i>
                                    <span>{{process}} <i *ngIf="process == 'Cash Advance'" matTooltip="This is a one month salary cash advance based on basic salary and that the amount will be paid back in three monthly payments starting in the following month." class="fa fa-question-circle"></i></span>
                                </strong>
                                <div *ngIf='toggle[i]' class='levels-wrapper'>
                                        <form [formGroup]="approverMatrixFormGroup">
                                            <mat-list *ngFor="let level of approversArr.controls; let i = index"
                                            [formGroup]="level">
                                            <strong>LEVEL {{i + 1}}</strong>
                                            <mat-form-field>
                                                <mat-label>Select an option</mat-label>
                                                <mat-select formControlName="key">
                                                    <ng-template ngFor let-approver [ngForOf]="levelOfApprovals">
                                                        <mat-option [value]="approver.name">
                                                            {{approver.name}}
                                                        </mat-option>
                                                    </ng-template>
                                                </mat-select>
                                            </mat-form-field>
                                            <mat-form-field *ngIf="level.value.key !== 'Supervisor'">
                                                <mat-label>Select {{level.value.key}}</mat-label>
                                                <mat-select formControlName="value">
                                                    <!-- <ng-container *ngIf="level.value.key === 'JobTitle'">
                                                        <mat-option [value]="jobTitle" *ngFor="let jobTitle of jobTitles">
                                                            {{jobTitle}}
                                                        </mat-option>
                                                    </ng-container> -->
                                                    <ng-container *ngIf="level.value.key === 'Nominee'">
                                                        <mat-option [value]="employee" *ngFor="let employee of employees">
                                                            {{employee}}
                                                        </mat-option>
                                                    </ng-container>
                                                </mat-select>
                                            </mat-form-field>
                                            <div class="remove-icon">
                                                <button type="reset" mat-mini-fab class="remove" (click)="removeLevel(i)">-</button>
                                              </div>
                                        </mat-list>
                                        <div class="add-icon" *ngIf="!isMaxLimitReached">
                                            <span><button mat-mini-fab (click)="addLevel()">+</button></span> <span class="text-btn">Add Level</span>
                                          </div>
                                          <div class="set-btn">
                                            <button mat-raised-button (click)="setLevel(process)">Set</button>
                                          </div>
                                        </form>
                                </div>
                            </td>
                        </tr>
                    </table>
                </mat-expansion-panel>
            </mat-accordion>
        </div>
    </section>
</div>